import { OnInit, EventEmitter } from '@angular/core';
import { PrivateDynamicFromService, DynamicFormService } from '../../services';
export declare class CheckboxControllComponent implements OnInit {
    private _privateDynamicFromService;
    private _dynamicFormService;
    rowField: any;
    field: any;
    parentFormGroup: any;
    clickEvent: EventEmitter<any>;
    formConstants: any;
    privateConstants: any;
    constructor(_privateDynamicFromService: PrivateDynamicFromService, _dynamicFormService: DynamicFormService);
    ngOnInit(): void;
    errorList(errorListObj: any, fieldObj: any): Array<string>;
    showRequired(validations: any): boolean;
    changeEvent(event: any): void;
    handleReadonlyAttr(field: any): any;
    clickCheckBox(event: any): void;
    handleReadonly(attrObj: any): void;
}
